using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1
{
    public class TGrass
    {
        public long Count;
        double KGrow;
        string mes;
        public TGrass(int c, double KGrow)
        {
            Count = c;
            this.KGrow = KGrow;
        }

        public void Grow()
        {
            try
            {
                Count += Convert.ToInt16(Count * KGrow);
            }
            catch (Exception e)
            {
                mes = e.Message;
                Count = Int16.MaxValue;
            }
        }
        public override String ToString()
        {
            String ans = String.Format("Grass count: {0} + Grass grow: {1}", Count, KGrow);
            //return "Grass count: " + Count.ToString() + " Grass grow: " + KGrow.ToString();
            return ans;
        }
    }
}
